> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download attachment

> Download a specific attachment by its ID.



## OpenAPI

````yaml get /workspaces/assets/{asset_id}/attachments/{attachment_id}/download
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/attachments/{attachment_id}/download:
    get:
      tags:
        - Asset Attachment
      description: Download a specific attachment by its ID.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          schema:
            type: string
          required: true
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
        - name: thumbnail
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: The requested attachment file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````